#!/bin/bash
[ "$#" -lt 1 ] && { echo "At least 1 argument required, $# provided."; exit 1; }
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }

server=`cat /etc/xen_drbd/server`
vg=`cat /etc/xen_drbd/vg`

xm destroy ${1}

drbdadm down ${1}-disk

if [ -e /dev/${vg}/${1}-swap ]
then
	drbdadm down ${1}-swap
fi

#need separate script so we don't make an SSH loop.  Also, we'll need to manually remove the lvs
ssh $server "/usr/lib/xen_drbd/drbd_delete_secondary.sh ${1}"

xen-delete-image ${1} 

#let's not remove the resource file until we are sure everything is down...  (you can't drbdadm down withou the .res)
[ ! -e /dev/${vg}/${1}-swap ] && [ ! -e /dev/${vg}/${1}-disk ] && rm /etc/drbd.d/${1}.res
