#!/bin/bash
[ "$#" -lt 1 ] && { echo "At least 1 argument required, $# provided."; exit 1; }
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }

vg=`cat /etc/xen_drbd/vg`

drbdadm down ${1}-disk
lvremove -f /dev/${vg}/${1}-disk

if [ -e /dev/${vg}/${1}-swap ]
then
	drbdadm down ${1}-swap
	lvremove -f /dev/${vg}/${1}-swap
fi

rm /etc/xen/${1}.cfg

#let's not remove the resource file until we are sure everything is down...  (you can't drbdadm down withou the .res)
[ ! -e /dev/${vg}/${1}-swap ] && [ ! -e /dev/${vg}/${1}-disk ] && rm /etc/drbd.d/${1}.res