#!/bin/bash
[ "$(whoami)" != 'root' ] && { echo "You must be root to run this script!"; exit 1; }
[ ! -e $1 ] && { echo "Error extending logical volume, $1 does not exist!"; exit 1; }

sectors=`blockdev --getsz $1`
#drbd metadata calculation, per: http://www.drbd.org/users-guide/ch-internals.html  (67108864 = 2048*32768)
emb=`expr $sectors / 67108864 + 1`

lvextend $1 -L+${emb}M
